GuidesPipeline API ReferenceChangelog
Pipeline API Reference

Create a new PipelineTemplate.

A PipelineTemplate is the top-level entity which holds the information to fully define and independently reuse a data processing Pipeline, including its implementation. This endpoint creates a PipelineTemplate and returns its metadata, that includes the id assigned to it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

PipelineTemplate to be created.

A PipelineTemplate is the top-level entity which holds the information to fully define and independently reuse a data processing Pipeline, including its implementation, the schema for its required input and output catalogs, and its default configuration.

string
required
length between 3 and 64

User provided name for the Pipeline Template.

string

The runtime environment to run. For the list of supported runtime environments, see developer documentation at https://developer.here.com/documentation/pipeline/dev_guide/topics/creating-pipelines.html and the list of available runtimes for the customer returned by the GET ./runtimeEnvironments endpoint.

uuid
required

System generated identifier (UUID) for the Package containing the implementation of this PipelineTemplate.

string
required

The fully qualified class name of the entry point of this PipelineTemplate.

string

Sharing group identifier in which this pipeline template will be created. Required unless this pipeline template is created in project scope (with a project-scoped token) in which case this field must be null.

defaultClusterConfiguration
object
required

Configuration for the cluster when submitting a pipeline version.

inputCatalogIds
array of strings
required

List of input catalog identifiers for PipelineTemplate. This list of identifiers can be used by a client to describe a list of HRNs needed for a valid Pipeline Version. Each identifier is an alpha-numeric string (_- are also allowed) providing a label for a catalog HRN.

inputCatalogIds*
string
length between 0 and 512

Additional text describing the Pipeline Template.

string

Default runtime config in Java Properties format (as a String). Any runtime configuration values supplied in this PipelineTemplate will provide default values for PipelineVersions using this Template. If a PipelineVersion has its own runtime configuration values, they will be added to any defaults available from the parent PipelineTemplate. PipelineVersion runtime configuration values with the same key will over-ride any default configuration values from the PipelineTemplate. The application of these default values occurs dynamically whenever the PipelineVersion is run. The combined configuration values are made available in a resource file named application.properties on the runtime classpath. For more information, see the "Configuration File Reference" section of the developer documentation.

The maximum property 'name' size is 2048 characters, the maximum property 'value' size is 8192 characters, and the maximum total size of this defaultRuntimeConfiguration string is 10243 characters.

Headers
string

Identifier for a specific http request. If not present, one will be generated.

string

Common identifier for multiple http requests to indicate they are associated in some way. If not present, one will be generated.

Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json